{"title":"Create salesInvoices","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesinvoice_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Create a sales invoice object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":51,"chars":207},{"level":2,"title":"Request headers","slug":"request-headers","at":258,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":360,"chars":93},{"level":2,"title":"Response","slug":"response","at":453,"chars":128},{"level":2,"title":"Example","slug":"example","at":581,"chars":3425},{"level":2,"title":"Related information","slug":"related-information","at":4006,"chars":295}],"text":"Create a sales invoice object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesInvoices\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a salesInvoices object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a salesInvoices object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices\nContent-type: application/json\n\n{\n    \"number\": \"PS-INV103001\",\n    \"externalDocumentNumber\": \"\",\n    \"invoiceDate\": \"2019-01-15\",\n    \"postingDate\": \"2019-01-15\",\n    \"dueDate\": \"2019-01-15\",\n    \"customerPurchaseOrderReference\": \"\",\n    \"customerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"customerNumber\": \"20000\",\n    \"customerName\": \"Trey Research\",\n    \"billToCustomerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"billToCustomerNumber\": \"20000\",\n    \"shipToName\": \"Trey Research\",\n    \"shipToContact\": \"Helen Ray\",\n    \"sellToAddressLine1\": \"153 Thomas Drive\",\n    \"sellToAddressLine2\": \"\",\n    \"sellToCity\": \"Chicago\",\n    \"sellToCountry\": \"US\",\n    \"sellToState\": \"IL\",\n    \"sellToPostCode\": \"61236\",\n    \"shipToAddressLine1\": \"153 Thomas Drive\",\n    \"shipToAddressLine2\": \"\",\n    \"shipToCity\": \"Chicago\",\n    \"shipToCountry\": \"US\",\n    \"shipToState\": \"IL\",\n    \"shipToPostCode\": \"61236\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"paymentTermsId\": \"0ba5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"salesperson\": \"PS\",\n    \"discountAmount\": 0,\n    \"phoneNumber\": \"\",\n    \"email\": \"helen.ray@contoso.com\"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"9e0f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"PS-INV103001\",\n    \"externalDocumentNumber\": \"\",\n    \"invoiceDate\": \"2019-01-15\",\n    \"postingDate\": \"2019-01-15\",\n    \"dueDate\": \"2019-01-15\",\n    \"customerPurchaseOrderReference\": \"\",\n    \"customerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"customerNumber\": \"20000\",\n    \"customerName\": \"Trey Research\",\n    \"billToName\": \"Trey Research\",\n    \"billToCustomerId\": \"f3a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"billToCustomerNumber\": \"20000\",\n    \"shipToName\": \"Trey Research\",\n    \"shipToContact\": \"Helen Ray\",\n    \"sellToAddressLine1\": \"153 Thomas Drive\",\n    \"sellToAddressLine2\": \"\",\n    \"sellToCity\": \"Chicago\",\n    \"sellToCountry\": \"US\",\n    \"sellToState\": \"IL\",\n    \"sellToPostCode\": \"61236\",\n    \"billToAddressLine1\": \"153 Thomas Drive\",\n    \"billToAddressLine2\": \"\",\n    \"billToCity\": \"Chicago\",\n    \"billToCountry\": \"US\",\n    \"billToState\": \"IL\",\n    \"billToPostCode\": \"61236\",\n    \"shipToAddressLine1\": \"153 Thomas Drive\",\n    \"shipToAddressLine2\": \"\",\n    \"shipToCity\": \"Chicago\",\n    \"shipToCountry\": \"US\",\n    \"shipToState\": \"IL\",\n    \"shipToPostCode\": \"61236\",\n    \"currencyId\": \"7e8b5305-593f-ee11-be74-6045bdc8c285\",\n    \"currencyCode\": \"USD\",\n    \"orderId\": \"00000000-0000-0000-0000-000000000000\",\n    \"orderNumber\": \"\",\n    \"paymentTermsId\": \"0ba5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"shipmentMethodId\": \"00000000-0000-0000-0000-000000000000\",\n    \"salesperson\": \"PS\",\n    \"pricesIncludeTax\": false,\n    \"remainingAmount\": 0,\n    \"discountAmount\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"totalAmountExcludingTax\": 0,\n    \"totalTaxAmount\": 0,\n    \"totalAmountIncludingTax\": 0,\n    \"status\": \"Draft\",\n    \"lastModifiedDateTime\": \"2020-08-21T00:25:58.337Z\",\n    \"phoneNumber\": \"\",\n    \"email\": \"helen.ray@contoso.com\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Invoice<../resources/dynamics_salesinvoice>\nGet Sales Invoice<dynamics_salesinvoice_get>\nUpdate Sales Invoice<dynamics_salesinvoice_update>\nDelete Sales Invoice<dynamics_salesinvoice_delete>"}